[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Webkit build issues

Adeodato Simó wrote:
> + Mike Hommey (Tue, 28 Apr 2009 22:42:52 +0200):
>>>> webkit     D-W on libsoup2.4-dev
>>>> libsoup2.4 D-W on libproxy-dev
>>>> libproxy   FTBFS because libwebkit-dev isn't installable
>>>>                  (at least hppa, mips)
>>>> I just thought I'd drop you a note about that.
>>> I'm told Mike was looking into this, but it indeed looks like circular
>>> Build-Dependencies...
>> The possible long-term solution is to split libJavaScriptCore out of
>> libwebkit, but I don't see that happening in the very near future, a
>> future where we can get these builds to happen quickly.
>> The best I can see for a short-term solution would be to disable the
>> webkit plugin in libproxy, and possibly enable the mozjs one to avoid
>> losing the .pac parsing functionality, but then I'm not sure how webkit
>> will like it.
> Mike, Emilio, can you coordinate so that any sensible solution is
> implemented reasonably soon? A good number of packages build-depend on
> libsoup, and none of them will be buildable. Plus the webkit transition
> can't go forward without it, of course.

I can disable the webkit plugin in libproxy for now, so that things are
buildable again, and then we can look if everything still works fine (I think it


Attachment: signature.asc
Description: OpenPGP digital signature

Reply to: